Bug 119073 - Improve Elementary icon set
Summary: Improve Elementary icon set
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2018-08-02 22:23 UTC by J22Gim
Modified: 2018-11-19 10:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J22Gim 2018-08-02 22:23:01 UTC
Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group

Hi, I love Elementary icons and I use them in my LibreOffice installation. But there are a couple of things I suggest to polish. These are related to two functions I use a lot: "Track changes" (in particular when "Record" option is active) and some icons to set the functionality of the sidebar deck.

Track changes: the buttons to review the changes include a big, green tick mark, then the button for "reject track change” is a document with a red cross, while the next button is a document with a green tick mark. Thus, one should immediately understand that either a) the document with a red cross should be “reject all changes in document” and the document with green tick mark should be “accept all changes in document”, or b) both buttons are just to reject or accept the currently selected change, right? However, both buttons are for very different purposes: the document + red cross is to reject the currently selected change, while the document+green tick mark is to “Manage track changes” (ie opens a window to review all changes, deletions, addenda). So in my opinion it is a little confusing and they don’t convey the meaning in a clear way. There should be 5 icons: two icons which look similar (except for the red cross and green tick mark) to reject or accept the change, then another pair which look similar (except for the red cross and green tick mark) to reject or accept ALL changes in document. And a 5th icon to review each change in a separate window (this is currently the icon with a document and a green tick mark). So as it is now one can argue that the visual meaning is misleading.

As a side not, the tooltip help of these buttons should not be “Reject track change” or “Accept track change” because the user doesn’t want to reject/accept the functionality of tracking changes she/he wants to reject/accept the change itself.

The second thing I suggest to improve is the icon to activate the Navigator. In other icon set (don’t remember which one, I switched immediately to Elementary) Navigator is a compass. It makes sense. But in Elementary it is a kind of check list with a pencil.. not much sense in my opinion.

Third, and maybe less important, also refering to the side deck: I suggest to switch the icons for “Styles and formatting” and “Page”. The “Styles and formatting” is a page with a ruler, which is more appropriated for “Page” because there (ni Page) you set the page size, etc., while the icon for “Page” is a blank page. If nothing better is available for “Styles and formatting” I would leave a blank page, at least not to confuse with measurements (which are set in the Page menu, not here).

Thanks a lot for your hard work!
Comment 1 Roman Kuznetsov 2018-08-03 08:01:10 UTC
Andreas, this bug is special for you ;-)
Comment 2 Heiko Tietze 2018-10-19 09:58:20 UTC
Assigning to Andreas
Comment 3 Rizal Muttaqin 2018-10-19 11:35:17 UTC
Hi thank you for your input. Now I'm working on elementary icon theme. My works already on master, you can try it yourself if you want via daily builds. Ok let me try to help

1. Track changes

Both buttons (a document with green tick mark <.uno:AcceptTrackedChange> and a document with red cross <.uno:RejectTrackedChange> ) are just for currently selected change. You are right. 

and for the next buttons, aka Manage Track Changes the uno command is uno:AcceptTrackedChanges. This uno command name a little missleading. But for make sure, I always use Galaxy icon theme as main reference. Instead of using a document with green tick mark, Galaxy use document with a little window dialog. This icons looks like match the function. See https://pasteboard.co/HJaeBWV.png

From this point, I would like to follow Galaxy to change existing icons. Just wait for the patch.

===================================
There should be 5 icons: two icons which look similar (except for the red cross and green tick mark) to reject or accept the change, then another pair which look similar (except for the red cross and green tick mark) to reject or accept ALL changes in document.
===================================

For reject or accept ALL change I have drawn it for small size (not yet for large nor extra large). Unfortunately this buttons does not exist in default Track changes toolbar. To see the button, you can customize the toolbar then add "Accept all" and "Reject all". Otherwise, you can activate Tabbed interface and go to Review tab.

2. I've redrawn The navigator, Page and Styles and Formatting icon.

https://pasteboard.co/HJaiSkT.png << Navigator
https://pasteboard.co/HJajdEz.png << Page
https://pasteboard.co/HJajrE0.png << Styles and Formatting
Comment 4 Commit Notification 2018-10-20 05:10:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7fe8c33dfc940659011cc2f210d282987f81399f

elementary: fix for tdf#119073, + 32px chart configuration,3D setting, heading style, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-10-21 06:35:33 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e2268d46f1a716e91a1c81774622028bc8e3d70

KJ: Fix  track changes icons related to tdf#119073, add assign macro, fix net chart

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2018-10-22 10:54:31 UTC
Rizal added/improved the icons so let's close this ticket. If there is something remaining please open another issue.
Comment 7 BogdanB 2018-11-19 10:23:31 UTC
Fixed. Verified on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded